DSONEi going to wok with new DSi XL?

Discussion in 'Supercard' started by Rev Jim, Mar 19, 2010.

Mar 19, 2010
  1. Rev Jim
    OP

    Newcomer Rev Jim Advanced Member

    Joined:
    Jul 11, 2005
    Messages:
    72
    Location:
    Guyana
    Country:
    Guyana
    So does anyone have any knowledge of the DSONEi working with the new DSi XL? I'm curious if Supercard have a firmware update waiting in the wing...I've been assuming they do, but now that I've learned GBA titles still don't work in the DSONEi flashcarts, I have some doubts.
     
  2. Dangy

    Member Dangy Twisting Your Mind & Smashing Your Dreams

    Joined:
    Apr 5, 2009
    Messages:
    1,391
    Country:
    United States
    Yes. As long as Nintendo doesn't package the 1.5 firmware with the US release of the DSi XL.
     
  3. HokageNaruto

    Member HokageNaruto GBAtemp Regular

    Joined:
    Nov 21, 2008
    Messages:
    155
    Country:
    United States
    I was pretty sure that the new DSi XL's were gonna have some extra piracy protection built into them.
     
  4. Jamstruth

    Member Jamstruth Secondary Feline Anthropomorph

    Joined:
    Apr 23, 2009
    Messages:
    3,456
    Location:
    North East Scotland
    Country:
    United Kingdom
    DSiXL=DSiLL=DSi but bigger

    LL has no extra AP and I doubt Ninty would update it anymore for the US release.
     
  5. Overlord Nadrian

    Banned Overlord Nadrian Banned

    Joined:
    Jul 28, 2008
    Messages:
    6,671
    Location:
    Riviera
    Country:
    Belgium
    [​IMG]

    Sorry, just had to [​IMG]

    Ontopic: it works, the DSi (LL/XL) has had no firmware update in the meantime, but I think there will be one soon, cause it's been a while.
     
  6. Rev Jim
    OP

    Newcomer Rev Jim Advanced Member

    Joined:
    Jul 11, 2005
    Messages:
    72
    Location:
    Guyana
    Country:
    Guyana
    Not working w/ DSONEi_SDHC_Evolution_V1.0_eng_sp2_0324

    Updating my "fireware" to 1.1

    Really curious as to why it isn't working, but I am expecting a new fireware if 1.1 doesn't get it to work.

    Ayone know how I check what the firmware on my NDSi XL is?

    Anyone confirm it woring for them?
     
  7. Rev Jim
    OP

    Newcomer Rev Jim Advanced Member

    Joined:
    Jul 11, 2005
    Messages:
    72
    Location:
    Guyana
    Country:
    Guyana
    ^that was it, don't forgt to update your "fireware" kids. :yaysupercard
     
  8. I am r4ymond

    Member I am r4ymond PFE

    Joined:
    Sep 18, 2009
    Messages:
    1,703
    Location:
    Ionia
    Country:
    United States
    So the Supercard DSONE still works with DSi XL?
     
  9. House Spider

    Banned House Spider In the GBAtemp attic.

    Joined:
    Apr 25, 2009
    Messages:
    1,282
    Location:
    Dundalk
    Country:
    Ireland
    Yes, it uses the same firmware as a DSi which means the same Anti-Piracy so if it works on the DSi it'll work with the DS XL.
     
  10. HokageNaruto

    Member HokageNaruto GBAtemp Regular

    Joined:
    Nov 21, 2008
    Messages:
    155
    Country:
    United States
    fixed
     
  11. Krestent

    Member Krestent What to post?

    Joined:
    Mar 31, 2009
    Messages:
    3,952
    Country:
    United States
    They never will...
     
  12. sadak5

    Member sadak5 GBAtemp Fan

    Joined:
    Feb 27, 2007
    Messages:
    421
    Location:
    Mexico City
    Country:
    Mexico
    For that you'll need either an iplayer or supercarddstwo
     
  13. MgARBITER

    Newcomer MgARBITER Advanced Member

    Joined:
    Feb 28, 2010
    Messages:
    77
    Country:
    United States
    And if u do end up with a DSi firmware of 1.5 or whatever, juts us the flasher that came with the card. If im not mistaken it should return it to 1.4. Correct me if im wrong lol.
     
  14. hunnymonster

    Member hunnymonster GBAtemp Regular

    Joined:
    Mar 29, 2010
    Messages:
    184
    Country:
    United Kingdom

    Flashing the fireware of the DSOnei is going to do precisely jackshit to the DSi/XL firmware... you'd need to wait for a version of the fireware that breaks the restriction imposed by the DSi/XL 1.5 firmware (or downgrade the DSi/XL to 1.4 if that's possible)
     

Share This Page